Reply to topic

kwin and kdebase-workspace are in conflict,,,

User avatar kde-feelgood
Registered Member
Posts
32
Karma
0
what to do?

tia!

Code: Select all
 yaourt -S plasma-desktop
==> WARNING: Building package as root is dangerous.
 Please run yaourt as a non-privileged user.

==> Downloading plasma-desktop PKGBUILD from AUR...
x .AURINFO
x PKGBUILD
Comment by arojas  (2014-09-26 06:08)
@bakgwailo No, it's an upstream decision that it's not coinstallable. I don't see what the desktop has to do with the applications you use, I'm using KDE4 and GTK applications in Plasma5 with no issues.

Comment by bakgwailo  (2014-09-26 14:29)
@arojas Perhaps I was confused - I thought Dolphin/etc ended up needing kdebase. Looks like I was wrong!

Comment by bakgwailo  (2014-09-26 17:22)
@arojas So looking further into it, it looks like it would remove kdevelop, konsole, kwrite, dolphin and quite a few other applications.

Output of sudo pacman -Rsc kdebase:

:: chromium optionally requires kdebase-kdialog: needed for file dialogs in KDE
:: google-chrome-dev optionally requires kdebase-kdialog: needed for file dialogs in KDE
:: kdenetwork-krdc optionally requires kdebase-keditbookmarks: to edit bookmarks
:: kdesdk-kate optionally requires kdebase-konsole: open a terminal in Kate
:: q4wine optionally requires fuseiso
:: winetricks optionally requires kdebase-kdialog: GUI for KDE desktop

Packages (110): apper-0.7.2-6  baloo4-widgets-4.14.1-1  fuseiso-20070708-5  iso-codes-3.52-1  kde-base-artwork-4.14.1-1  kde-servicemenus-fuseiso-0.2-1  kdeartwork-kscreensaver-4.14.1-1  kdeartwork-styles-4.14.1-1
kdenetwork-kget-4.14.1-1  kdeplasma-addons-applets-bball-4.14.1-1  kdeplasma-addons-applets-binary-clock-4.14.1-1  kdeplasma-addons-applets-blackboard-4.14.1-1  kdeplasma-addons-applets-bookmarks-4.14.1-1
kdeplasma-addons-applets-bubblemon-4.14.1-1  kdeplasma-addons-applets-calculator-4.14.1-1  kdeplasma-addons-applets-charselect-4.14.1-1  kdeplasma-addons-applets-comic-4.14.1-1
kdeplasma-addons-applets-community-4.14.1-1  kdeplasma-addons-applets-dict-4.14.1-1  kdeplasma-addons-applets-eyes-4.14.1-1  kdeplasma-addons-applets-fifteenpuzzle-4.14.1-1  kdeplasma-addons-applets-filewatcher-4.14.1-1
kdeplasma-addons-applets-frame-4.14.1-1  kdeplasma-addons-applets-fuzzy-clock-4.14.1-1  kdeplasma-addons-applets-icontasks-4.14.1-1  kdeplasma-addons-applets-incomingmsg-4.14.1-1
kdeplasma-addons-applets-kdeobservatory-4.10.4-1  kdeplasma-addons-applets-kimpanel-4.14.1-1  kdeplasma-addons-applets-knowledgebase-4.14.1-1  kdeplasma-addons-applets-kolourpicker-4.14.1-1
kdeplasma-addons-applets-konqprofiles-4.14.1-1  kdeplasma-addons-applets-konsoleprofiles-4.14.1-1  kdeplasma-addons-applets-lancelot-4.14.1-1  kdeplasma-addons-applets-leavenote-4.14.1-1
kdeplasma-addons-applets-life-4.14.1-1  kdeplasma-addons-applets-luna-4.14.1-1  kdeplasma-addons-applets-magnifique-4.14.1-1  kdeplasma-addons-applets-mediaplayer-4.14.1-1  kdeplasma-addons-applets-microblog-4.14.1-1
kdeplasma-addons-applets-news-4.14.1-1  kdeplasma-addons-applets-notes-4.14.1-1  kdeplasma-addons-applets-nowplaying-4.14.1-1  kdeplasma-addons-applets-paste-4.14.1-1  kdeplasma-addons-applets-pastebin-4.14.1-1
kdeplasma-addons-applets-plasmaboard-4.14.1-1  kdeplasma-addons-applets-previewer-4.14.1-1  kdeplasma-addons-applets-qalculate-4.14.1-1  kdeplasma-addons-applets-rememberthemilk-4.14.1-1
kdeplasma-addons-applets-rssnow-4.14.1-1  kdeplasma-addons-applets-showdashboard-4.14.1-1  kdeplasma-addons-applets-showdesktop-4.14.1-1  kdeplasma-addons-applets-social-news-4.14.1-1
kdeplasma-addons-applets-spellcheck-4.14.1-1  kdeplasma-addons-applets-systemloadviewer-4.14.1-1  kdeplasma-addons-applets-timer-4.14.1-1  kdeplasma-addons-applets-unitconverter-4.14.1-1
kdeplasma-addons-applets-weather-4.14.1-1  kdeplasma-addons-applets-weatherstation-4.14.1-1  kdeplasma-addons-applets-webslice-4.14.1-1  kdeplasma-addons-containments-4.14.1-1  kdeplasma-addons-libs-4.14.1-1
kdeplasma-addons-runners-audioplayercontrol-4.14.1-1  kdeplasma-addons-runners-browserhistory-4.14.1-1  kdeplasma-addons-runners-characters-4.14.1-1  kdeplasma-addons-runners-contacts-4.14.1-1
kdeplasma-addons-runners-converter-4.14.1-1  kdeplasma-addons-runners-datetime-4.14.1-1  kdeplasma-addons-runners-events-4.14.1-1  kdeplasma-addons-runners-katesessions-4.14.1-1
kdeplasma-addons-runners-konquerorsessions-4.14.1-1  kdeplasma-addons-runners-konsolesessions-4.14.1-1  kdeplasma-addons-runners-kopete-4.14.1-1  kdeplasma-addons-runners-mediawiki-4.14.1-1
kdeplasma-addons-runners-spellchecker-4.14.1-1  kdeplasma-addons-wallpapers-mandelbrot-4.14.1-1  kdeplasma-addons-wallpapers-marble-4.14.1-1  kdeplasma-addons-wallpapers-pattern-4.14.1-1
kdeplasma-addons-wallpapers-potd-4.14.1-1  kdeplasma-addons-wallpapers-virus-4.14.1-1  kdeplasma-addons-wallpapers-weather-4.14.1-1  kdeplasma-applets-plasma-nm-0.9.3.4-3  kdetoys-ktux-4.14.1-1
kdeutils-kremotecontrol-4.14.1-1  kdeutils-ksecrets-4.8.4-1  kdeutils-print-manager-4.14.1-1  kdevelop-4.7.0-1  kdevplatform-1.7.0-1  kmozillahelper-0.6.4-1  libmm-qt-1.0.1-2  libnm-qt-0.9.8.2-1  libxklavier-5.4-1
packagekit-1.0.0-1  packagekit-qt2-0.7.6-11  polkit-kde-0.99.0-3  qoauth-1.0.1-5  qwt-6.1.0-1  xcb-util-renderutil-0.3.9-1  yakuake-2.9.9-2  kde-wallpapers-4.14.1-1  kdebase-dolphin-4.14.1-1  kdebase-kdepasswd-4.14.1-1
kdebase-kdialog-4.14.1-1  kdebase-keditbookmarks-4.14.1-1  kdebase-kfind-4.14.1-1  kdebase-konq-plugins-4.14.1-1  kdebase-konqueror-4.14.1-1  kdebase-konsole-4.14.1-1  kdebase-kwrite-4.14.1-1  kdebase-plasma-4.14.1-1
kdebase-workspace-4.11.12-1

Comment by arojas  (2014-09-26 17:26)
@bakgwailo of course if you remove kdebase you're removing all kdebase applications. Why are you doing that? This only conflicts with kdebase-workspace.

Comment by bakgwailo  (2014-09-26 20:55)
@arojas Ah, I feel stupid now. It turns out it is just khelpcenter that conflicts with kdebase.

plasma-desktop 5.0.2-1  (Wed May 14 15:05:19 CST 2014)
( Unsupported package: Potentially dangerous ! )
==> Edit PKGBUILD ? [Y/n] ("A" to abort)
==> ------------------------------------
==> n

==> plasma-desktop dependencies:
 - kemoticons (already installed)
 - kitemmodels (already installed)
 - qt5-graphicaleffects (already installed)
 - libxkbfile (already installed)
 - libusb-compat (already installed)
 - libcanberra (already installed)
 - extra-cmake-modules (already installed)
 - systemsettings (building from AUR)
 - ksysguard (building from AUR)
 - powerdevil (building from AUR)
 - oxygen (package found)
 - kmenuedit (building from AUR)
 - kinfocenter (building from AUR)
 - kdoctools (package found)

==> plasma-desktop conflicts:
 - kdebase-workspace-4.11.12-1

==> Continue building plasma-desktop ? [Y/n]
==> ----------------------------------------
==>
==> Building and installing package
==> Install or build missing dependencies for plasma-desktop:
resolving dependencies...
looking for inter-conflicts...
:: kwin and kdebase-workspace are in conflict. Remove kdebase-workspace? [y/N] n
error: unresolvable package conflicts detected
error: failed to prepare transaction (conflicting dependencies)
:: kwin and kdebase-workspace are in conflict
==> Restart building plasma-desktop ? [y/N]
luebking
Karma
0
You're on the wrong forum, this is a downstream (distro) issue.

Tell the package maintainer to install kwin (and plasma next) into some extra path (eg. "/opt/kde5") and twiddle environment variables for that session (so the proper exes, libs and plugins are resolved)

Notice that this is all "developers pre-release stuff" - if you even fail to install it, you're probably better off with trying a live image of plasma-next.
In case you're confused:
Arch provides releases of KF5 - that's the former kdelibs, but NOT the former kde-workspace stuff. "KDE 5", if you want, is not actually released to end-users.

 
Reply to topic

Bookmarks



Who is online

Registered users: Baidu [Spider], Bing [Bot], davide445, everwaerde, Google [Bot], hiteshshah, Mamarok, millaan, philippea, raphaelra, Sanette, Vangelis62, Yahoo [Bot]